DRM_ATOMIC_ADD_AFFEC(9)

NAME
drm_atomic_add_affected_connectors - add connectors for crtc

SYNOPSIS

int drm_atomic_add_affected_connectors(struct drm_atomic_state * state, struct drm_crtc * crtc);

ARGUMENTS

state
    atomic state

crtc
    DRM crtc

DESCRIPTION

This function walks the current configuration and adds all connectors currently using crtc to the atomic configuration state. Note that this function must acquire the connection mutex. This can potentially cause unneeded seralization if the update is just for the planes on one crtc. Hence drivers and helpers should only call this when really needed (e.g. when a full modeset needs to happen due to some change).

RETURNS

0 on success or can fail with -EDEADLK or -ENOMEM. When the error is EDEADLK then the w/w mutex code has detected a deadlock and the entire atomic sequence must be restarted. All other errors are fatal.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT